using System;
using System.Diagnostics;

using Microsoft.Practices.EnterpriseLibrary.Logging;

namespace BennettAdelson.Sig.Common {
	public static class LogWriter {
		private const TraceEventType DEFAULT_SEVERITY = TraceEventType.Information;
		private const int DEFAULT_PRIORITY = -1;
		private const int DEFAULT_EVENTID = 0;

		public static void LogMessage(string message) {
			LogMessage(message, DEFAULT_SEVERITY, DEFAULT_PRIORITY, DEFAULT_EVENTID);
		}

		public static void LogMessage(string message, TraceEventType severity) {
			LogMessage(message, severity, DEFAULT_PRIORITY, DEFAULT_EVENTID);
		}

		public static void LogMessage(string message, TraceEventType severity, int priority, int eventId) {
			LogEntry entry = new LogEntry();
			ContextItems ctx = new ContextItems();
			ctx.ProcessContextItems(entry);

			entry.Message = message;
			entry.Severity = severity;
			entry.Priority = priority;
			entry.EventId = eventId;

			Logger.Write(entry);
		}
	}
}