using System;
using System.Data;
using System.Data.Common;

using Microsoft.Practices.EnterpriseLibrary.Data;
using Microsoft.Practices.EnterpriseLibrary.Data.Sql;

namespace BennettAdelson.Sig.MiddleTier {
	public static class DataClass {
		public static DataTable GetEmployeeDetails(int employeeId) {
			DataTable dt = null;

			try {
				SqlDatabase db = DBFactory.GetDatabase();
				if (db != null) {
					DbCommand cmd = db.GetStoredProcCommand("GetEmployeeDetails");
					db.AddInParameter(cmd, "employeeId", SqlDbType.Int, employeeId);

					DataSet ds = db.ExecuteDataSet(cmd);

					if (ds != null && ds.Tables != null && ds.Tables.Count > 0)
						dt = ds.Tables[0];
				}
			} catch (Exception exc) {
				if (DataExceptionHandler.HandleException(exc))
					throw;
			}

			return dt;
		}
		
		public static DataTable GetCustomerDetails(string customerId) {
			DataTable dt = null;

			try {
				SqlDatabase db = DBFactory.GetDatabase();
				if (db != null) {
					DbCommand cmd = db.GetStoredProcCommand("GetCustomerDetails");
					db.AddInParameter(cmd, "customerId", SqlDbType.NVarChar, customerId);

					DataSet ds = db.ExecuteDataSet(cmd);

					if (ds != null && ds.Tables != null && ds.Tables.Count > 0)
						dt = ds.Tables[0];
				}
			} catch (Exception exc) {
				if (DataExceptionHandler.HandleException(exc))
					throw;
			}

			return dt;
		}
	}
}
