using System;

using BennettAdelson.Sig.Common.Bases;

namespace BennettAdelson.Sig.MiddleTier {
	public class RequestProcessor : FacadeBase {
		public RequestProcessor() : base() { }

		public string GetEmployeeName(int employeeId) {
			string name = String.Empty;

			try {
				if (employeeId < 1)
					throw new ArgumentException("EmployeeId must be a positive integer.");

				name = ServiceClass.GetEmployeeName(employeeId);
			} catch (Exception exc) {
				if (HandleException(exc))
					throw;
			}

			return name;
		}

		public string GetCustomerName(string customerId) {
			string name = String.Empty;

			try {
				if (String.IsNullOrEmpty(customerId))
					throw new ArgumentException("CustomerId must be a positive integer.");

				name = ServiceClass.GetCustomerName(customerId);
			} catch (Exception exc) {
				if (HandleException(exc))
					throw;
			}

			return name;
		}
	}
}
