using System;
using System.Data;
using System.Text;

namespace BennettAdelson.Sig.MiddleTier {
	public static class ServiceClass  {
		public static string GetEmployeeName(int employeeId) {
			string name = String.Empty;

			try {
				DataTable dt = DataClass.GetEmployeeDetails(employeeId);

				if (dt != null && dt.Rows != null && dt.Rows.Count > 0) {
					DataRow row = dt.Rows[0];
					name = String.Format("{0} {1}", row["FirstName"], row["LastName"]);
				}
			} catch (Exception exc) {
				if (ServiceExceptionHandler.HandleException(exc))
					throw;
			}

			return name;
		}

		public static string GetCustomerName(string customerId) {
			string name = String.Empty;

			try {
				DataTable dt = DataClass.GetCustomerDetails(customerId);

				if (dt != null && dt.Rows != null && dt.Rows.Count > 0) {
					DataRow row = dt.Rows[0];
					name = String.Format("{0}", row["CompanyName"]);
				}
			} catch (Exception exc) {
				if (ServiceExceptionHandler.HandleException(exc))
					throw;
			}

			return name;
		}
	}
}
