using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.Practices.EnterpriseLibrary.Data;
using Microsoft.Practices.EnterpriseLibrary.Data.Sql;

using BennettAdelson.Sig.Common;

namespace BennettAdelson.Sig.MiddleTier {
	internal static class DataExceptionHandler {
		private const string EXCEPTION_POLICY_NAME = "DataPolicy";

		public static bool HandleException(Exception exc) {
			return ExceptionHandler.HandleException(exc, EXCEPTION_POLICY_NAME);
		}

		public static bool HandleException(Exception exc, string policyOverride) {
			return ExceptionHandler.HandleException(exc, policyOverride);
		}
	}

	internal static class ServiceExceptionHandler {
		private const string EXCEPTION_POLICY_NAME = "ServicePolicy";

		public static bool HandleException(Exception exc) {
			return ExceptionHandler.HandleException(exc, EXCEPTION_POLICY_NAME);
		}

		public static bool HandleException(Exception exc, string policyOverride) {
			return ExceptionHandler.HandleException(exc, policyOverride);
		}
	}

	internal static class DBFactory {
		private const string DBINSTANCE = "BASig";

		public static SqlDatabase GetDatabase() {
			SqlDatabase db = DatabaseFactory.CreateDatabase(DBINSTANCE) as SqlDatabase;

			//	Failed to get the named one, try the default
			if (db == null)
				db = DatabaseFactory.CreateDatabase() as SqlDatabase;

			return db;
		}
	}
}
